Bug 20218 - LD_RUN_PATH vs. LD_LIBRARY_PATH
LD_RUN_PATH vs. LD_LIBRARY_PATH
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: binutils (Show other bugs)
6.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-11-02 11:05 EST by Bertold Kolics
Modified: 2007-04-18 12:29 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-11-02 11:05:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bertold Kolics 2000-11-02 11:05:50 EST
The man page of ld states that it uses the LD_RUN_PATH variable to look for
libraries that are linked with a given binary. However, in fact, the
LD_LIBRARY_PATH variable is used. This is confusing.

I could not find any man page which mentioned LD_LIBRARY_PATH.
Comment 1 Jakub Jelinek 2000-11-03 10:34:24 EST
LD_RUN_PATH variable is used by the linker (ld) the same way as -rpath
argument to ld is used (LD_RUN_PATH is used if -rpath is not specified).
However, if some binary is linked without LD_RUN_PATH being set in environment
(resp. -rpath specified on ld command line) and you want to change the paths
used to look for libraries at runtime, you use the LD_LIBRARY_PATH variable
which is used by the dynamic linker (/lib/ld-linux.so.*).

Note You need to log in before you can comment on or make changes to this bug.